local PotatoTweaks = Apollo.GetAddon("PotatoTweaks")
local tTweak1 = {
	name="Add Interface Buttons for Common Addons",
	description="Adds interface menu buttons (bottom left) for the following addons: VortexMeter",
	boolean="bAddonButtons",
	func="AddonButtons",
	dependencies={"VortexMeter","RaidCore"},
	settings={
		{type="radio",var="bPerspectiveBtn",text="Perspective"}
	}
}
table.insert(PotatoTweaks.tTweaks,tTweak1)

function PotatoTweaks:AddonButtons()	
	local Perspective = Apollo.GetAddon("Perspective")
	if Perspective and self.bPerspectiveBtn then
		Apollo.RegisterEventHandler("TogglePerspective","OnTogglePerspective", self)
		Event_FireGenericEvent("InterfaceMenuList_NewAddOn", "Perspective Hide", {"TogglePerspective", "", "TweakSprites:Perspective"})
		function PotatoTweaks:OnTogglePerspective()
			local Perspective = Apollo.GetPackage("Gemini:Addon-1.1").tPackage:GetAddon("Perspective")
			if Perspective.markersInitialized then
				Perspective:Stop()
				Print("[PotatoTweaks] If you wish to permanently hide Perspective, type /perspective show, and go to Settings>Disable Perspective.")
			else
				Perspective:Start()
			end
		end
	end
end