local PotatoTweaks = Apollo.GetAddon("PotatoTweaks")
local tTweak1 = {
	--name="MrFancyPants AutoEquip",
	name="MrFancyPants Equip All Button",
	--description="Adds autoequipping of gear sets to MrFancyPants.",
	description="Adds an equip all button to MrFancyPants.",
	boolean="bMFPEquip",	func="MFPTweak",
	dependencies={"MrFancyPants"}
}
table.insert(PotatoTweaks.tTweaks,tTweak1)

table.isempty = function(t)
	local bEmpty = true
	for _,_ in pairs(t) do
		bEmpty = false
	end
	return bEmpty
end

--[[function PotatoTweaks:MFPTweak()
	local MrFancyPants = Apollo.GetAddon("MrFancyPants")	
	if MrFancyPants then
		local GetHasUnequippedItems = function(self, bEquip)
			if self.currentSet == nil then return false end
			
			local player = GameLib.GetPlayerUnit()
			if player == nil then
				return false
			end
			
			local inv = player:GetInventoryItems()
			if inv == nil then
				return false
			end
			
			for i=0,25 do
				if self:GetIsSlotSatisfied(i) == false then
					for key,item in pairs(inv) do
						if item ~= null then
							local inbag = item.itemInBag
							
							if type(inbag) == "userdata" and inbag:CanEquip() and inbag:GetSlot() == i then
								if self:GetItemIsFancyItem(inbag, self.currentSet.items[i]) then
									if bEquip then
										local nSlot = item.nBagSlot+1
										GameLib.EquipBagItem(nSlot)
									end
									return true
								end 
							end
						end
					end
				end
			end
			
			return false
		end
	
	local bMFPEquip = self.bMFPEquip
	MrFancyPants.GetHasUnequippedItems = function(self, tEventArgs)
		return GetHasUnequippedItems(self, bMFPEquip)
	end
end]]--
	

function PotatoTweaks:MFPTweak()
	local MrFancyPants = Apollo.GetAddon("MrFancyPants")	
	if MrFancyPants then
		local bMFPEquip = self.bMFPEquip
		local wndBagContainer = MrFancyPants.quickSwap:FindChild("BagContainer")
		local wndEquipAll = wndBagContainer:FindChild("PT_EquipAll")
		if bMFPEquip then
			Apollo.RegisterEventHandler("PlayerEquippedItemChanged", "OnEquip", self)
			if not wndEquipAll then
				Apollo.LoadForm(self.xmlDoc, "PT_EquipAll", wndBagContainer, self)
			end
		else
			Apollo.RemoveEventHandler("PlayerEquippedItemChange")
			if wndEquipAll then
				wndEquipAll:Destroy()
			end
		end
	end
end

local tItems = {}
function PotatoTweaks:OnPTEquipAll()
	local MrFancyPants = Apollo.GetAddon("MrFancyPants")
	if MrFancyPants then
		if MrFancyPants.currentSet == nil then return end
		
		local player = GameLib.GetPlayerUnit()
		if player == nil then
			return
		end
		
		local inv = player:GetInventoryItems()
		if inv == nil then
			return
		end
		
		tItems = {}
		for i=0,25 do
			if MrFancyPants:GetIsSlotSatisfied(i) == false then
				for key,item in pairs(inv) do
					if item ~= null then
						local inbag = item.itemInBag
						if type(inbag) == "userdata" and inbag:CanEquip() and inbag:GetSlot() == i then
							if MrFancyPants:GetItemIsFancyItem(inbag, MrFancyPants.currentSet.items[i]) then
								if item then
									tItems[i] = item
								end
							end 
						end
					end
				end
			end
		end
		self:EquipNext()
	end
end

function PotatoTweaks:EquipNext()
	for _,tItem in pairs(tItems) do
		local nBagSlot = tItem.nBagSlot+1
		GameLib.EquipBagItem(nBagSlot)
		break
	end
end

function PotatoTweaks:OnEquip(nEquippedSlot,itemEquip,itemUnequip)
	local item = tItems[nEquippedSlot]
	if item and item.itemInBag == itemEquip then
		tItems[nEquippedSlot] = nil
	end
	if not table.isempty(tItems) then
		self:EquipNext()
	end
end



